# Harmonized Landsat Sentinel (HLS) Python Search and Download Utility

[Gregory H. Halverson](https://github.com/gregory-halverson-jpl) (they/them)<br>
[gregory.h.halverson@jpl.nasa.gov](mailto:gregory.h.halverson@jpl.nasa.gov)<br>
NASA Jet Propulsion Laboratory 329G

[Evan Davis](https://github.com/evandjpl) (he/him)<br>
[evan.w.davis@jpl.nasa.gov](mailto:evan.w.davis@jpl.nasa.gov)<br>
NASA Jet Propulsion Laboratory 397K

## Installation

This package is available on PyPi: [https://pypi.org/project/harmonized-landsat-sentinel](https://pypi.org/project/harmonized-landsat-sentinel/1.0.0/)

```
pip install harmozined-landsat-sentinel
```

## References

If you use this package to access or analyze the Harmonized Landsat Sentinel (HLS) dataset, please cite the following datasets and research articles:

### Data Citations

- **HLS v1.4 (L30 and S30)**:  
  NASA Goddard Space Flight Center; U.S. Geological Survey. (2019). Harmonized Landsat Sentinel-2 (HLS) Product, Version 1.4 [Dataset]. NASA LP DAAC. https://doi.org/10.5067/HLS/HLS.014

- **HLS v2.0 (L30 and S30)**:  
  NASA Goddard Space Flight Center; U.S. Geological Survey. (2022). Harmonized Landsat Sentinel-2 (HLS) Product, Version 2.0 [Dataset]. NASA LP DAAC. https://doi.org/10.5067/HLS/HLS.020

### Peer-Reviewed Articles

1. **Roy, D. P., Li, J., Zhang, H. K., & Yan, L. (2016)**. *The Harmonized Landsat and Sentinel-2 (HLS) Product: An Analytical Framework for Characterizing Land Cover Using Satellite Remote Sensing*. Remote Sensing of Environment, 176, 152-171. https://doi.org/10.1016/j.rse.2015.12.024  
   This foundational article presents the analytical framework for harmonizing Landsat and Sentinel-2 data, discussing challenges in land cover characterization and product development.

2. **Claverie, M., Ju, J., Masek, J. G., Dungan, J. L., Vermote, E. F., Roger, J. C., Skakun, S., & Justice, C. O. (2018)**. *Harmonized Landsat-8 Sentinel-2 Products for Land Monitoring*. Remote Sensing of Environment, 219, 145-161. https://doi.org/10.1016/j.rse.2018.09.002  
   This article describes the harmonization process, atmospheric correction, and band alignment used in generating the HLS products.

3. **Feng, M., Vermote, E. F., & Masek, J. G. (2020)**. *Harmonized Landsat Sentinel-2 Data for Monitoring Global Agriculture*. Remote Sensing, 12(22), 3684. https://doi.org/10.3390/rs12223684  
   This paper highlights applications of HLS in agricultural monitoring, with validation studies that underscore its importance for tracking global agricultural patterns.
